curl --request POST \
--url https://api.tomorro.com/v2/contracts/{id}/versions \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"key": "signedFiles/550e8400-e29b-41d4-a716-446655440000/files/b3b7bd7b-85f9-49e7-843d-71f656df5ca5",
"name": "amendment-v2.docx",
"contentType": "application/pdf"
}
'import requests
url = "https://api.tomorro.com/v2/contracts/{id}/versions"
payload = {
"key": "signedFiles/550e8400-e29b-41d4-a716-446655440000/files/b3b7bd7b-85f9-49e7-843d-71f656df5ca5",
"name": "amendment-v2.docx",
"contentType": "application/pdf"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
key: 'signedFiles/550e8400-e29b-41d4-a716-446655440000/files/b3b7bd7b-85f9-49e7-843d-71f656df5ca5',
name: 'amendment-v2.docx',
contentType: 'application/pdf'
})
};
fetch('https://api.tomorro.com/v2/contracts/{id}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"contractId": "550e8400-e29b-41d4-a716-446655440010",
"version": 3,
"status": "draft",
"contentType": "application/pdf",
"createdAt": "2024-01-15T10:30:00.000Z"
}Upload new contract version
Creates a new contract version on the contract from a previously uploaded file. First call POST /files/upload-url to obtain a pre-signed URL, PUT the file body to S3, then call this endpoint with the returned key.
Authorizations
API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key
Path Parameters
The unique identifier (UUID) of the contract
"550e8400-e29b-41d4-a716-446655440000"
Body
Storage key returned by POST /files/upload-url.
1"signedFiles/550e8400-e29b-41d4-a716-446655440000/files/b3b7bd7b-85f9-49e7-843d-71f656df5ca5"
Original filename of the uploaded file, including extension.
1"amendment-v2.docx"
MIME content type of the uploaded file.
1"application/pdf"
Response
New contract version created successfully
Unique identifier for the contract version.
"550e8400-e29b-41d4-a716-446655440000"
The contract this contract version belongs to.
"550e8400-e29b-41d4-a716-446655440010"
Version number within the contract.
3
Current status of the contract version.
draft, sent, negotiation, accepted, reviewing, reviewedByExternalParty, signed "draft"
MIME content type of the contract version content.
"application/pdf"
Time at which the contract version was created. Formatted as an ISO 8601 date-time string.
"2024-01-15T10:30:00.000Z"